以后再有人问你selenium版本如何选择,就把这篇文章给他

以后再有人问你selenium版本如何选择,就把这篇文章给他

一、IE

使用ie浏览器进行web自动化测试,selenium-java.jar包和ie驱动是同步的(如下图),所以只需要关注ie驱动和ie浏览器版本如何搭配。

如果你使用ie6、ie7请使用 selenium 2.42或者2.40版本,也就是图中的版本。

如果你使用的ie8-ie11推荐使用2.50之后的版本。

镜像地址:https://npm.taobao.org/mirrors/selenium/

二、Chrome

使用chrome浏览器进行web自动化测试,selenium-java.jar是通用的,只需要关注chrome驱动和chrome浏览器版本是否对应即可。

在70.0.3538.16之后,chrome驱动和chrome浏览器是一一对应。

之前的版本会有一个notes.txt进行描述(如下图)。

镜像地址:https://npm.taobao.org/mirrors/chromedriver/

三、Firefox

使用Firefox浏览器进行web自动化测试,相对于ie和chrome更复杂一些。

需要selenium-java.jar、firefox驱动、firefox浏览器都匹配。

这个匹配关系在github上firefox驱动项目releases中(如下图)。

地址:https://github.com/mozilla/geckodriver/releases

本文由柠檬班罗杰老师原创,转载需注明出处!

  • 发表于:
  • 原文链接https://kuaibao.qq.com/s/20190705A0MDHM00?refer=cp_1026
  • 腾讯「云+社区」是腾讯内容开放平台帐号(企鹅号)传播渠道之一,根据《腾讯内容开放平台服务协议》转载发布内容。
  • 如有侵权,请联系 yunjia_community@tencent.com 删除。

扫码关注云+社区

领取腾讯云代金券